﻿$url = "http://www.mssmallbiz.com/ericligman/Key_Shorts/MSFTFreeEbooks.txt"
$output = "$home\Desktop\MSFTFreeEbooks.txt"

Invoke-WebRequest -Uri $url -OutFile $output

New-Item -ItemType directory -Path "$home\Desktop\books"

$books = Get-Content "$home\desktop\MSFTFreeEbooks.txt" 
$DestinationFolder = "$home\Desktop\books"

Foreach($book in $books){
    $response = Invoke-WebRequest -Uri $book
    $filename = [System.IO.Path]::GetFileName($response.BaseResponse.ResponseUri.LocalPath)
    $filepath = [System.IO.Path]::Combine($DestinationFolder, $filename)
    try
    {
        $filestream = [System.IO.File]::Create($filepath)
        $response.RawContentStream.WriteTo($filestream)
        $filestream.Close()
    }
    finally
    {
        if ($filestream)
        {
            $filestream.Dispose();
        }
    }
}

Remove-Item -Path "$home\desktop\MSFTFreeEbooks.txt" -Force